function Ydot = Kaasa(t,y)
% Simulates the Kaasa model
global z_c q_bpp beta V v_d A_d k_c;
p0 = 10^5;
Z_c = [0 4 9 10 15 20 30 40 50 70]';
G_c = 1/700*[0 1 35 45 80 125 200 300 400 700]';
g_c=@(z) interp1( Z_c, G_c, max(Z_c(1), min(z, Z_c(end))) );
p_c = y;
p_cDot = (beta/V)*(q_bpp - v_d*A_d -k_c*g_c(z_c)*sqrt(1400/1420)*sqrt((p_c-p0)*10^-5)*0.001/60);
Ydot = p_cDot;
end

